--- common/video/iso-mpeg4/include/bitstrm.hpp
+++ common/video/iso-mpeg4/include/bitstrm.hpp
@@ -45,8 +45,8 @@
 #ifndef _BITSTREAM_HPP_
 #define _BITSTREAM_HPP_
 #include "inbits.h"
-#include <istream.h>
-#include <ostream.h>
+#include <istream>
+#include <ostream>
 
 class CIOBitStream
 {
--- common/video/iso-mpeg4/include/entropy.hpp
+++ common/video/iso-mpeg4/include/entropy.hpp
@@ -39,8 +39,10 @@
 #ifndef __ENTROPY_HPP_
 #define __ENTROPY_HPP_
 
-#include <istream.h>
-#include <ostream.h>
+#include <istream>
+#include <ostream>
+
+using namespace std;
 
 class CInBitStream;
 class COutBitStream;
--- common/video/iso-mpeg4/include/vopseenc.hpp
+++ common/video/iso-mpeg4/include/vopseenc.hpp
@@ -79,6 +79,8 @@
 
 #include "tm5rc.hpp"
 
+using namespace std;
+
 class CFwdBlockDCT;
 
 // HHI Schueuer:  scan selection classes to support the sadct
--- common/video/iso-mpeg4/src/app_encoder_encoder.cpp
+++ common/video/iso-mpeg4/src/app_encoder_encoder.cpp
@@ -99,7 +99,7 @@
 
 #include "mode.hpp"
 #include "tm5rc.hpp"
-#include "fstream.h"
+#include "fstream"
 #include "sesenc.hpp"
 // #include "encoder/tps_sesenc.hpp" // deleted by Sharp (98/2/12)
 
--- common/video/iso-mpeg4/src/sys_encoder_errenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_errenc.cpp
@@ -54,7 +54,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_gmc_enc_util.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_gmc_enc_util.cpp
@@ -46,7 +46,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <assert.h>
 
 #include "typeapi.h"
--- common/video/iso-mpeg4/src/sys_encoder_mbenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_mbenc.cpp
@@ -75,7 +75,7 @@
 
 #include <stdlib.h>
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "typeapi.h"
 #include "codehead.h"
 #include "mode.hpp"
--- common/video/iso-mpeg4/src/sys_encoder_mbinterlace.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_mbinterlace.cpp
@@ -60,7 +60,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_mcenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_mcenc.cpp
@@ -53,7 +53,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_motest.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_motest.cpp
@@ -67,7 +67,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_mvenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_mvenc.cpp
@@ -44,7 +44,7 @@
 
 **************************************************************************/
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <math.h>
 #include <stdlib.h>
 
--- common/video/iso-mpeg4/src/sys_encoder_padenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_padenc.cpp
@@ -43,7 +43,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_sesenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_sesenc.cpp
@@ -83,8 +83,8 @@
 #include "stdlib.h"
 #include "stdio.h"
 #include "math.h"
-#include "fstream.h"
-#include "ostream.h"
+#include "fstream"
+#include "ostream"
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_encoder_sptenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_sptenc.cpp
@@ -40,7 +40,7 @@
 *************************************************************************/
 
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include <stdlib.h>
 
--- common/video/iso-mpeg4/src/sys_encoder_tm5rc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_tm5rc.cpp
@@ -52,7 +52,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "header.h"
 #include "typeapi.h"
--- common/video/iso-mpeg4/src/sys_encoder_vopmbenc.cpp
+++ common/video/iso-mpeg4/src/sys_encoder_vopmbenc.cpp
@@ -73,7 +73,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_error.cpp
+++ common/video/iso-mpeg4/src/sys_error.cpp
@@ -35,7 +35,7 @@
 #include <stdio.h>
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "typeapi.h"
 #include "codehead.h"
--- common/video/iso-mpeg4/src/sys_mode.cpp
+++ common/video/iso-mpeg4/src/sys_mode.cpp
@@ -50,7 +50,7 @@
 
 
 #include <string.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "typeapi.h"
 #include "mode.hpp"
--- common/video/iso-mpeg4/src/sys_tps_enhcbuf.cpp
+++ common/video/iso-mpeg4/src/sys_tps_enhcbuf.cpp
@@ -36,7 +36,7 @@
 *************************************************************************/
 
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <stdlib.h>
 
 #include "typeapi.h"
--- common/video/iso-mpeg4/src/tools_entropy_bitstrm.cpp
+++ common/video/iso-mpeg4/src/tools_entropy_bitstrm.cpp
@@ -42,8 +42,8 @@
 
 *************************************************************************/
 
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <stdio.h>
 #include <stdlib.h>
 #include "typeapi.h"
--- common/video/iso-mpeg4/src/tools_entropy_huffman.cpp
+++ common/video/iso-mpeg4/src/tools_entropy_huffman.cpp
@@ -55,7 +55,7 @@
 #include "bitstrm.hpp"
 
 #include "vlc.hpp"
-#include <iostream.h>
+#include <iostream>
 #ifdef __MFC_
 #ifdef _DEBUG
 #undef THIS_FILE
--- common/video/iso-mpeg4/src/tools_sadct_sadct.cpp
+++ common/video/iso-mpeg4/src/tools_sadct_sadct.cpp
@@ -37,7 +37,7 @@
 #include "dct.hpp"
 #include <math.h>
 #if defined(__DEBUG_SADCT_) && !defined(NDEBUG)
-#include <iostream.h>
+#include <iostream>
 #endif
 #ifdef __MFC_
 #ifdef _DEBUG
--- common/video/iso-mpeg4/src/type_yuvac.cpp
+++ common/video/iso-mpeg4/src/type_yuvac.cpp
@@ -39,9 +39,11 @@
 
 *************************************************************************/
 
-#include <iostream.h>
+#include <iostream>
 #include "typeapi.h"
 
+using namespace std;
+
 #ifdef __MFC_
 #ifdef _DEBUG
 #undef THIS_FILE
--- common/video/iso-mpeg4/src/type_yuvai.cpp
+++ common/video/iso-mpeg4/src/type_yuvai.cpp
@@ -37,7 +37,9 @@
 *************************************************************************/
 
 #include "typeapi.h"
-#include <iostream.h>
+#include <iostream>
+
+using namespace std;
 
 #ifdef __MFC_
 #ifdef _DEBUG
--- common/video/iso-mpeg4/src/vtc_main_vtcenc.cpp
+++ common/video/iso-mpeg4/src/vtc_main_vtcenc.cpp
@@ -57,7 +57,7 @@
 #include <math.h>
 #include <assert.h>
 // begin: added by Sharp (99/2/16)
-#include <iostream.h>
+#include <iostream>
 #include <sys/stat.h>
 // end: added by Sharp (99/2/16)
 
--- player/lib/audio/faad/Makefile.am
+++ player/lib/audio/faad/Makefile.am
@@ -33,6 +33,6 @@
 	transfo.h\
 	util.h
 INCLUDES = -I$(top_srcdir)/include
-AM_CFLAGS = -O2 -Werror -Wall -fexceptions -fno-strict-aliasing
+AM_CFLAGS = -O2 -Wall -fexceptions -fno-strict-aliasing
 
 EXTRA_DIST = COPYING libfaad60.dsp README
--- server/mp4live/video_util_resize.h
+++ server/mp4live/video_util_resize.h
@@ -90,7 +90,7 @@
 
 void CopyYuv(const uint8_t *fY, const uint8_t *fU, const uint8_t *fV,
 	     uint32_t fyStride, uint32_t fuStride, uint32_t fvStride,
-	     uint8_t *tY, uint8_t *tU, uint8_t *fV,
-	     uint32_t tyStride, uint32_t tvStride, uint32_t tvStride,
+	     uint8_t *tY, uint8_t *tU, uint8_t *f_V,
+	     uint32_t tyStride, uint32_t tvStride, uint32_t tv_Stride,
 	     uint32_t w, uint32_t h);
 #endif
